aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2013-07-30 15:13:31 +1200
committerTom Ryder <tom@sanctum.geek.nz>2013-07-30 15:13:31 +1200
commitadf5181f47bd9ef3ffe5f3250abb9f1008df4050 (patch)
treeb13d17d4ff9e4ec16c5cb33641b066f7136a51a5 /bash
parentMore portable non-surprise syntax for functions (diff)
downloaddotfiles-adf5181f47bd9ef3ffe5f3250abb9f1008df4050.tar.gz
dotfiles-adf5181f47bd9ef3ffe5f3250abb9f1008df4050.zip
Use integer declarations in prompt function
Diffstat (limited to 'bash')
-rw-r--r--bash/bashrc.d/prompt.bash4
1 files changed, 2 insertions, 2 deletions
diff --git a/bash/bashrc.d/prompt.bash b/bash/bashrc.d/prompt.bash
index 69f9bf7a..3243dd18 100644
--- a/bash/bashrc.d/prompt.bash
+++ b/bash/bashrc.d/prompt.bash
@@ -1,7 +1,7 @@
# Frontend to controlling prompt
prompt() {
- local ret=$?
- local colors=$(tput colors 2>/dev/null)
+ local -i ret=$?
+ local -i colors=$(tput colors 2>/dev/null)
local color reset branch state url root
if [[ $colors -ge 256 ]]; then